<?php 
    session_start();

if ($_SERVER["REQUEST_METHOD"]=="POST")
{
    if (!isset($_SESSION["dirname"]) && !isset($_POST["dirname"])){
        $celkonyvtar = "directory/";
    } else{
        if (isset($_POST["dirname"]) || isset($_SESSION["dirname"])){
            $_SESSION["dirname"] = $_POST["dirname"];
            $celkonyvtar = $_SESSION["dirname"]."/";
            mkdir($celkonyvtar);
        }
    }


    if (!is_dir($celkonyvtar))
    {
      mkdir($celkonyvtar);
    }

    $uname = uniqid();
   
    
    $celfajl = $celkonyvtar.$_FILES["kepfajl"]["name"];

    
    $fajlkiterjesztes = strtolower(pathinfo($celfajl,PATHINFO_EXTENSION));
    $uploadOK = 1;

    $maxmeret = 0;

   

    
   if (isset($_FILES["kepfajl"])){

    if ($fajlkiterjesztes =="jpg" || $fajlkiterjesztes=="txt")
    {
     if ($fajlkiterjesztes == "jpg"){
         $maxmeret = 5*1024*1024;
         if (getimagesize($_FILES["kepfajl"]["tmp_name"])===false)
         {
             $uploadOK = 0;
             echo "Nem kép lett megadva.";
         }
     }
 
     if ($fajlkiterjesztes == "txt"){
         $maxmeret = 1*1024*1024;
     }
 
    }
    } else {
     $uploadOK = 0;
     echo "Nem megengedett képformátum";
    }

    if ($_FILES["kepfajl"]["size"]>$maxmeret)
    {
     $uploadOK = 0;
     echo "Túl nagy állomány";
    }

    if ($uploadOK==1)
    {
     
     $vanmar = 0;
     if (file_exists($celfajl))
     {
       $vanmar = 1;
     }
     
     if (move_uploaded_file($_FILES["kepfajl"]["tmp_name"],$celkonyvtar.$_POST["kepnev"].".".$fajlkiterjesztes)==true)
     {
       if ($vanmar==0){
         $_SESSION["kepek"][] = $celfajl;
 
         //vizjel($celkonyvtar, $celfajl);
       }
     }
   }
}



//Képek listázása tényleges állományok alapján
//$kepek = glob($celkonyvtar."*");

/*
foreach ($kepek as  $img) 
    {
        echo '<img src="'.$img.'" style="width: 200px; height: auto;">';
    }
*/
//Képek listázása feltöltés után SESSION-ből
/* 
if (isset($_SESSION["kepek"]))
  {
    foreach ($_SESSION["kepek"] as  $value) 
    {
        echo '<img src="'.$value.'" style="width: 200px; height: auto;">';
    }
  }
*/
?>